取消发货
POST https://{handle}.myshopline.com/admin/openapi/v20261201/orders/:order_id/fulfillments/:fulfillment_id/cancel.json
handle :店铺的唯一标识符,值为店铺域名的前缀。例如,域名为 open001.myshopline.com 的店铺,其 handle 是 open001 。订单取消发货
路径参数
- fulfillment_id string required包裹id
- order_id string required订单号
请求头
- Content-Type string required字段值固定为
application/json; charset=utf-8。 - Authorization string required资源的访问令牌。参考 应用授权 获取访问令牌,然后将获取到的访问令牌以 Bearer 格式传入。例子:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
状态码
- 200
- 401
- 429
更多状态码信息,参考 HTTP 状态码。
响应头
traceId
请求的全局唯一标识符。用于追踪请求在系统中的流转,以便于问题发生时进行定位和调试。
响应体
fulfillmentobject
包裹信息tracking_urls array物流追踪URL组例子:[""]name string包裹例子:e.g. #1001.1, #1001.2updated_at string更新时间order_id string订单号tracking_company string物流公司名称created_at string创建日期line_itemsobject[]
商品组total_discount_setobject
多币种优惠shop_moneyobject
店铺币种amount string金额currency_code string币种presentment_moneyobject
结算币种currency_code string币种amount string金额requires_shipping boolean是否需要发货tax_linesobject[]
税price string金额price_setobject
多币种金额presentment_moneyobject
结算币种currency_code string币种amount string金额shop_moneyobject
店铺币种amount string金额currency_code string币种rate string税率title string税名称product_id string商品idgrams double重量variant_id string商品变体IDtotal_discount string优惠金额id string商品IDprice_setobject
多币种价格shop_moneyobject
店铺币种amount string金额currency_code string币种presentment_moneyobject
结算币种amount string金额currency_code string币种name string商品名称fulfillable_quantity integer可发货数量version string商品版本fulfillment_quantity integer发货数量例子:1price string价格title string商品标题quantity integer商品发货数量taxable boolean是否收税sku string商品货号variant_title string商品变体名称status string包裹状态tracking_number string运单号id string包裹IDtracking_numbers array运单号数组例子:[""]tracking_url string物流追踪URL
API Explorer
调试台
这篇文章对你有帮助吗?